<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div nz-row style="margin-top: 10px">
    <nz-card style="width: 100%" nzTitle="Friends" nzSize="small" [nzExtra]="friendsExtra">
      <div *ngIf="friends.length === 0" style="text-align: center">
        {{ 'Citizen.noFriends' | translate }}
      </div>
      <div nz-row nzType="flex" nzJustify="space-around" style="text-align: center">
        <div nz-col nzSpan="3" *ngFor="let item of friends">
          <a [routerLink]="['/citizen', item.citizen.id]">
            <div>
              <nz-avatar [nzShape]="'square'" [nzSize]="40" [nzIcon]="'user'" [nzSrc]="item.citizen.avatar"></nz-avatar>
            </div>
            <div style="padding-left: 8px">
              <nz-tag nzColor="green">{{ item.citizen.name }}</nz-tag>
            </div>
          </a>
        </div>
      </div>
      <ng-template #friendsExtra>
        <a href="/citizen/{{ citizenId }}/friendlist">{{ 'Citizen.allFriends' | translate }}</a>
      </ng-template>
    </nz-card>
  </div>
</nz-spin>
